// https://babeljs.io/blog/2017/09/11/zero-config-with-babel-macros
const htmlDocs = {
  "application": "<!DOCTYPE html>\n<html lang=\"en\">\n  <head>\n    <meta charset=\"utf-8\" />\n    <!-- do not index this page, do not follow links on this page -->\n    <meta name=\"robots\" content=\"noindex,nofollow\" />\n\n    <meta\n      name=\"viewport\"\n      content=\"width=device-width, initial-scale=1, maximum-scale=1\"\n    />\n    <meta name=\"referrer\" content=\"no-referrer\" />\n\n    <meta http-equiv=\"Content-Security-Policy\" content=\"__CSP__\" />\n\n    <!-- Preconnects -->\n    <link rel=\"preconnect\" href=\"__CDN_URL__\" />\n    <link rel=\"preconnect\" href=\"__MC_API_URL__\" />\n    <link rel=\"preconnect\" href=\"https://fonts.googleapis.com\" />\n    <link rel=\"preconnect\" href=\"https://fonts.gstatic.com\" crossorigin />\n    <link rel=\"preconnect\" href=\"https://app.launchdarkly.com\" />\n    <link rel=\"preconnect\" href=\"https://clientstream.launchdarkly.com\" />\n    <link rel=\"preconnect\" href=\"https://events.launchdarkly.com\" />\n\n    <!-- Fav and touch icons -->\n    <link rel=\"shortcut icon\" type=\"image/png\" href=\"__CDN_URL__favicon.png\" />\n    <!-- Standard iPhone -->\n    <link\n      rel=\"apple-touch-icon\"\n      sizes=\"57x57\"\n      href=\"__CDN_URL__favicon_57x57px.png\"\n    />\n    <link\n      rel=\"apple-touch-icon-precomposed\"\n      sizes=\"57x57\"\n      href=\"__CDN_URL__favicon_57x57px.png\"\n    />\n    <!-- Standard iPad -->\n    <link\n      rel=\"apple-touch-icon\"\n      sizes=\"72x72\"\n      href=\"__CDN_URL__favicon_72x72px.png\"\n    />\n    <link\n      rel=\"apple-touch-icon-precomposed\"\n      sizes=\"72x72\"\n      href=\"__CDN_URL__favicon_72x72px.png\"\n    />\n    <!-- Retina iPad -->\n    <link\n      rel=\"apple-touch-icon\"\n      sizes=\"144x144\"\n      href=\"__CDN_URL__favicon_144x144px.png\"\n    />\n    <link\n      rel=\"apple-touch-icon-precomposed\"\n      sizes=\"144x144\"\n      href=\"__CDN_URL__favicon_144x144px.png\"\n    />\n\n    <!-- Main application chunks -->\n    __APPLICATION_SCRIPT_IMPORTS__\n\n    <!-- Fonts -->\n    <link\n      href=\"https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&family=Open+Sans:ital,wght@0,300;0,400;0,700;1,400;1,700&display=swap\"\n      rel=\"stylesheet\"\n    />\n\n    __APPLICATION_CSS_IMPORTS__\n\n    <title>Merchant Center</title>\n  </head>\n  <body>\n    <noscript>You need to enable JavaScript to run this app.</noscript>\n\n    <div id=\"app-loader\">\n      <!-- Loading screen styles -->\n      __LOADING_SCREEN_CSS__\n\n      <div class=\"loading-screen loading-screen--hidden\">\n        <svg class=\"loading-spinner\" viewBox=\"0 0 40 40\">\n          <path\n            class=\"loading-spinner-circle\"\n            d=\"M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946, 14.946,14.946 s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z\"\n          ></path>\n          <path\n            class=\"loading-spinner-pointer\"\n            d=\"M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0 C22.32,8.481,24.301,9.057,26.013,10.047z\"\n          ></path>\n        </svg>\n        <svg\n          width=\"200\"\n          height=\"29\"\n          viewBox=\"0 0 200 29\"\n          fill=\"none\"\n          xmlns=\"http://www.w3.org/2000/svg\"\n        >\n          <g clip-path=\"url(#clip0_5_959)\">\n            <path\n              d=\"M0.338463 21.6833V8.78347C0.338463 8.42599 0.724659 8.20364 1.03425 8.38131L12.2063 14.8307C12.4936 14.9967 12.6702 15.3031 12.6702 15.6339V28.5338C12.6702 28.8912 12.284 29.1136 11.9744 28.9359L0.802324 22.4865C0.51507 22.3206 0.338463 22.0142 0.338463 21.6833Z\"\n              fill=\"#6359FF\"\n            />\n            <path\n              d=\"M1.7875 6.47385L12.7851 0.124477C13.0723 -0.0414922 13.4255 -0.0414922 13.7128 0.124477L24.7104 6.47385C25.0966 6.69727 25.0966 7.25475 24.7104 7.47817L13.7128 13.8275C13.4255 13.9935 13.0723 13.9935 12.7851 13.8275L1.7875 7.47817C1.40131 7.25475 1.40131 6.69727 1.7875 6.47385Z\"\n              fill=\"#FFC806\"\n            />\n            <path\n              d=\"M13.8287 28.5351V16.5725C13.8287 16.2151 14.2149 15.9927 14.5245 16.1704L24.7103 22.0516C25.0965 22.275 25.0965 22.8325 24.7103 23.056L14.5245 28.9372C14.2149 29.1159 13.8287 28.8925 13.8287 28.5351Z\"\n              fill=\"#0BBFBF\"\n            />\n            <path\n              d=\"M99.5461 17.9441C99.3026 20.0081 98.4412 20.8404 96.9764 20.8404C95.16 20.8404 94.1987 19.5816 94.1987 16.9704V16.7103H102.43C102.496 16.0465 102.521 15.4764 102.521 14.8689C102.521 10.9364 100.532 8.72876 96.964 8.72876C93.1313 8.72876 91.0548 11.0487 91.0548 15.26V16.4647C91.0548 20.674 93.1189 22.9877 96.8724 22.9877C100.145 22.9877 102.12 21.4397 102.584 18.3374L99.5461 17.9462V17.9441ZM96.9348 10.8677C98.5598 10.8677 99.3775 11.9205 99.3775 14.1926V14.5443H94.1987C94.2611 12.0891 95.1725 10.8677 96.9348 10.8677Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M39.2811 17.5174L42.5166 17.921C42.1379 21.2335 40.1904 23 36.8176 23C32.985 23 31 20.5323 31 15.805V15.7509C31 11.1297 33.0349 8.71191 36.8301 8.71191C40.2549 8.71191 42.0901 10.5325 42.3626 13.9719L39.2062 14.3485C39.0627 11.9723 38.3323 10.8821 36.8176 10.8821C35.0761 10.8821 34.2563 12.2845 34.2563 15.2349V16.3231C34.2563 19.3609 35.101 20.8069 36.855 20.8069C38.349 20.8069 39.1376 19.7167 39.2811 17.5195V17.5174Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M49.7678 8.70972C46.0017 8.70972 43.9127 11.3335 43.9127 15.7112V15.9963C43.9127 20.3449 46.0038 22.9978 49.7678 22.9978C53.5317 22.9978 55.6228 20.3449 55.6228 15.9963V15.7112C55.6228 11.3335 53.5317 8.70972 49.7678 8.70972ZM52.3666 16.4623C52.3666 19.4128 51.5051 20.8151 49.7678 20.8151C48.0304 20.8151 47.169 19.4128 47.169 16.4623V15.2451C47.169 12.2947 48.0117 10.8799 49.7678 10.8799C51.5239 10.8799 52.3666 12.2947 52.3666 15.2451V16.4623Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M164.649 8.70972C160.883 8.70972 158.794 11.3335 158.794 15.7112V15.9963C158.794 20.3449 160.883 22.9978 164.649 22.9978C168.415 22.9978 170.508 20.3449 170.508 15.9963V15.7112C170.508 11.3335 168.413 8.70972 164.649 8.70972ZM167.247 16.4623C167.247 19.4128 166.392 20.8151 164.649 20.8151C162.905 20.8151 162.054 19.4128 162.054 16.4623V15.2451C162.054 12.2947 162.897 10.8799 164.649 10.8799C166.401 10.8799 167.247 12.2947 167.247 15.2451V16.4623Z\"\n              fill=\"#191741\"\n            />\n            <path d=\"M175.397 5H172.229V22.6713H175.397V5Z\" fill=\"#191741\" />\n            <path\n              d=\"M120.386 17.5174L123.622 17.921C123.243 21.2335 121.298 23 117.923 23C114.09 23 112.105 20.5323 112.105 15.805V15.7509C112.105 11.1297 114.14 8.71191 117.935 8.71191C121.36 8.71191 123.195 10.5325 123.468 13.9719L120.311 14.3485C120.168 11.9723 119.437 10.8821 117.923 10.8821C116.181 10.8821 115.361 12.2845 115.361 15.2349V16.3231C115.361 19.3609 116.206 20.8069 117.96 20.8069C119.454 20.8069 120.243 19.7167 120.386 17.5195V17.5174Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M187.746 19.0112C187.746 21.4914 185.824 22.9853 182.511 22.9853C178.98 22.9853 176.954 21.4373 176.866 18.6824L179.875 18.0728C179.85 19.8518 180.786 20.8526 182.499 20.8526C183.839 20.8526 184.577 20.3324 184.577 19.3087C184.577 18.285 183.918 17.8273 182.176 17.1802L180.435 16.5164C178.697 15.8527 177.203 14.5814 177.203 12.6838C177.203 10.1641 178.957 8.70972 182.139 8.70972C185.32 8.70972 187.318 10.1537 187.33 12.6838L184.384 13.204C184.446 11.5915 183.645 10.8778 182.176 10.8778C180.893 10.8778 180.179 11.3605 180.179 12.2302C180.179 13.1 180.801 13.6701 182.542 14.2943L184.28 14.9289C186.021 15.5677 187.746 16.5539 187.746 19.0091V19.0112Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M151.578 8.70972C147.812 8.70972 145.723 11.3335 145.723 15.7112V15.9963C145.723 20.3449 147.812 22.9978 151.578 22.9978C155.344 22.9978 157.437 20.3449 157.437 15.9963V15.7112C157.437 11.3335 155.342 8.70972 151.578 8.70972ZM154.177 16.4623C154.177 19.4128 153.319 20.8151 151.578 20.8151C149.836 20.8151 148.983 19.4128 148.983 16.4623V15.2451C148.983 12.2947 149.826 10.8799 151.578 10.8799C153.33 10.8799 154.177 12.2947 154.177 15.2451V16.4623Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M143.001 20.476C143.588 20.476 144.314 20.32 145.003 20.0224L144.822 22.3361C144.104 22.7127 142.999 22.9707 141.963 22.9707C139.495 22.9707 138.224 21.7244 138.224 19.0507V5.95074L141.393 5.00195V9.04056H144.965V11.3376H141.393V18.6741C141.393 19.9746 141.925 20.4781 143.001 20.4781V20.476Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M133.511 17.9441C133.268 20.0081 132.408 20.8404 130.941 20.8404C129.123 20.8404 128.164 19.5816 128.164 16.9704V16.7103H136.395C136.462 16.0465 136.487 15.4764 136.487 14.8689C136.487 10.9364 134.497 8.72876 130.929 8.72876C127.096 8.72876 125.02 11.0487 125.02 15.26V16.4647C125.02 20.674 127.084 22.9877 130.837 22.9877C134.112 22.9877 136.085 21.4397 136.551 18.3374L133.511 17.9462V17.9441ZM130.9 10.8677C132.525 10.8677 133.343 11.9205 133.343 14.1926V14.5443H128.164C128.226 12.0891 129.138 10.8677 130.9 10.8677Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M67.1602 12.6589C68.1361 9.94148 69.6383 8.70972 71.5733 8.70972C73.6644 8.70972 74.6278 10.2036 74.1243 12.5798L74.3843 12.6589C75.3602 9.94148 76.8624 8.70972 78.7975 8.70972C80.8886 8.70972 81.8519 10.2036 81.3484 12.5798L81.6085 12.6589C82.5656 9.93108 84.0574 8.70972 86.0986 8.70972C88.3187 8.70972 89.3736 10.0351 89.3736 12.5673V22.6711H86.2047V13.102C86.2047 11.7517 85.6845 11.0796 84.6442 11.0796C83.0608 11.0796 82.1515 13.0271 82.1515 15.6342V22.6732H78.9993V13.1291C78.9993 11.8058 78.4063 11.0796 77.4201 11.0796C75.8388 11.0796 74.9274 13.0271 74.9274 15.6342V22.6732H71.7752V13.1291C71.7752 11.8058 71.23 11.063 70.2438 11.063H70.2396V11.0817C70.2396 11.0817 70.2355 11.0817 70.2334 11.0817C68.6521 11.0817 67.7407 13.0292 67.7407 15.6363V22.6753H64.5885V13.1312C64.5885 11.8079 64.0433 11.065 63.0571 11.065C61.5257 11.065 60.5083 12.9377 60.5083 15.7154V22.6753H57.3394V9.04262H60.5207C60.5499 9.87282 60.3917 10.6115 59.7946 12.4549L60.0547 12.5715C61.276 9.77919 62.5349 8.71388 64.3908 8.71388C66.4819 8.71388 67.4432 10.2078 66.9397 12.5839L67.1644 12.663L67.1602 12.6589Z\"\n              fill=\"#191741\"\n            />\n            <path\n              d=\"M111.841 11.4895C108.304 11.7288 107.476 12.9106 107.476 16.712V22.6711H104.307V9.03848H107.488C107.517 9.99976 107.388 10.6885 106.749 12.5174L107.009 12.6339C107.896 10.572 108.926 8.67436 112.066 8.60986L111.841 11.4875V11.4895Z\"\n              fill=\"#191741\"\n            />\n          </g>\n          <defs>\n            <clipPath id=\"clip0_5_959\">\n              <rect width=\"200\" height=\"29\" fill=\"white\" />\n            </clipPath>\n          </defs>\n        </svg>\n        <p class=\"long-loading-notice long-loading-notice--hidden\">\n          Sorry, this is taking an unusually long time.\n        </p>\n      </div>\n    </div>\n    <div id=\"app\"></div>\n\n    <!-- Loading screen handling -->\n    __LOADING_SCREEN_JS__\n\n    <!-- Application globals -->\n    __APPLICATION_ENVIRONMENT__\n  </body>\n</html>\n"
};
function generateTemplate(_ref) {
  let _ref$cssImports = _ref.cssImports,
    cssImports = _ref$cssImports === void 0 ? [] : _ref$cssImports,
    _ref$scriptImports = _ref.scriptImports,
    scriptImports = _ref$scriptImports === void 0 ? [] : _ref$scriptImports;
  return htmlDocs.application.replace(new RegExp('__APPLICATION_CSS_IMPORTS__', 'g'), cssImports.join('\n')).replace(new RegExp('__APPLICATION_SCRIPT_IMPORTS__', 'g'), scriptImports.join('\n'));
}

export { generateTemplate as g };
